import request from "@/utils/request"

// 获取发布的职位列表
export const getJobAdvertised = async (params) => {
	return request({
		url: '/app-api/menduner/system/recruit/job-advertised/list',
		method: 'GET',
		params,
		custom: {
			showLoading: false,
			auth: true
		}
	})
}

// 根据职位id获取推荐人才列表
export const getPersonRecommendPage = (params) => {
	return request({
		url: '/app-api/menduner/system/recruit/person-recommend/page',
		method: 'GET',
		params,
		custom: {
			openEncryption: true,
			showLoading: false,
			auth: false
		}
	})
}

// 根据条件搜索人才
export const getPersonConditionSearchPage = (params) => {
	return request({
		url: '/app-api/menduner/system/recruit/person-search/page',
		method: 'GET',
		params,
		custom: {
			openEncryption: true,
			showLoading: false,
			auth: false
		}
	})
}